using System.Text.Json;

namespace Barcode.Host.Server.Models;

public record AppSettings(string BuildNumber,
                          string BuildSourceVersion,
                          int ClearLastScanServiceAfter,
                          string Company,
                          string DeviceNameEndsWith,
                          string EquipmentName,
                          int ExpectedScanLengthA,
                          int ExpectedScanLengthB,
                          string FileShare,
                          bool IsDevelopment,
                          bool IsStaging,
                          string LinuxDevicePath,
                          string MockRoot,
                          string MonAResource,
                          string MonASite,
                          int NotifyMinimum,
                          string PostTo,
                          int PostToEvery,
                          string RootPassword,
                          string SerialPortName,
                          int ShareToEvery,
                          string URLs,
                          string WorkingDirectoryName,
                          int WriteToSerialEvery)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}